commit a4f55d6c7e91abbdef8faab2b0a97c114081f06d
Author: Michael Natterer <mitch@gimp.org>
Date:   Sun Oct 27 22:13:04 2019 +0100

    configure.ac: bump versions for the 2.10.14 release

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 90ab98b41d469efca8f52de3c2693b93600259a8
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Sun Oct 27 22:43:47 2019 +0300

    Update Russian translation

 po-plug-ins/ru.po | 635
 ++++++++++++++++++++++++++++++++----------------------
 1 file changed, 373 insertions(+), 262 deletions(-)

commit daca0a254e3d66ab678da89b82b993fc1009d752
Author: lillolollo <4179-lillolollo@users.noreply.gitlab.gnome.org>
Date:   Sun Oct 27 16:41:06 2019 +0000

    Update NEWS add more fixed bugs

 NEWS | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit f4c87c048efeaa4607b8fe910541d78f233e0674
Author: Samuel Rats <samuel.rats@gmail.com>
Date:   Sun Oct 27 15:17:42 2019 +0100

    app: fix typo in gimptoolrectangle.c

 app/display/gimptoolrectangle.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ceb11d070b9888ca84cb49721118cfcd9f9a4fb3
Author: Michael Natterer <mitch@gimp.org>
Date:   Sun Oct 27 16:48:13 2019 +0100

    desktop: set appdata release date of 2.10.14 to today

 desktop/org.gimp.GIMP.appdata.xml.in.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 775d3b1099524da605505008eb3e4133b14553d9
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Aug 22 23:15:43 2019 +0200

    configure,app: depend on babl-0.1.72

    (cherry picked from commit fe3e945154503b388b62f14b80eb0399f492b73b)

 app/sanity.c | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 2fde53eef12c9ccf511ec67cd374ee9fd9e8bb26
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Oct 27 01:43:54 2019 +0200

    configure. app: depend on gegl-0.4.18

 app/sanity.c | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit a464b1129bd62f54f553bb5f83f288132d3f322b
Author: Michael Natterer <mitch@gimp.org>
Date:   Sat Oct 26 21:46:09 2019 +0200

    docs, etc: regenerate default gimprc and its manpage

 docs/gimprc.5.in | 77
 ++++++++++++++++++++++++++++++++++++++------------------
 etc/gimprc.in    | 73
 +++++++++++++++++++++++++++++++++++------------------
 2 files changed, 100 insertions(+), 50 deletions(-)

commit c1f070fbc5d90002f4a745d76ac6d9f8bb4b5fcf
Author: Michael Natterer <mitch@gimp.org>
Date:   Sat Oct 26 21:45:18 2019 +0200

    AUTHORS: regenerated

 AUTHORS | 1 +
 1 file changed, 1 insertion(+)

commit 8a397d92f09aa1db4480e68d77fae0872b0276eb
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Sat Oct 26 21:45:25 2019 +0200

    Updated Slovenian translation

 po-plug-ins/sl.po | 194
 +++++++++++++++++++++++++++---------------------------
 1 file changed, 97 insertions(+), 97 deletions(-)

commit fa820e9fdd5515f36307f9bffd6f47c11cfcdf7f
Author: Michael Natterer <mitch@gimp.org>
Date:   Sat Oct 26 21:43:29 2019 +0200

    NEWS: some fixes, and re-wrap overly wide paragraphs

 NEWS | 199
 ++++++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 106 insertions(+), 93 deletions(-)

commit 5bc18c685c5f9a06fafe9cdca9aa39dd7f68d709
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Sat Oct 26 21:41:45 2019 +0200

    Updated Slovenian translation

 po/sl.po | 272
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 136 insertions(+), 136 deletions(-)

commit 6bedbe5c79b237f84e3cdb1704fb3b71c46bf3ec
Author: Ell <ell_se@yahoo.com>
Date:   Sat Oct 26 22:30:08 2019 +0300

    app: don't use the deprecated GTimeVal in gimp-test-session-utils.c

    GTimeVal, as well as g_file_info_get_modification_time(), have been
    deprecated in GLib 2.62.  Use g_file_info_get_attribute_uint64()
    instead.

    (cherry picked from commit 549a606b2fdd912e81813f6721d015d85efd8440)

 app/tests/gimp-test-session-utils.c | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit 7caeb46e65bee61c0b42544989d0ca6d4c2162e6
Author: Michael Natterer <mitch@gimp.org>
Date:   Sat Sep 14 12:22:04 2019 +0200

    app: don't use the deprecated GTimeVal in file-remote.c

    Use g_get_monotonic_time() instead.

    (cherry picked from commit 3f84fbee1e0186b3fc4b84029413bda52c7450c3)

 app/file/file-remote.c | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

commit 32a11ce457630e9cf121fcf20ecb18f48403af2d
Author: Ell <ell_se@yahoo.com>
Date:   Sat Oct 26 21:51:08 2019 +0300

    configure.ac: add AC_MSG_RESULT() for color-profile directory check

    (cherry picked from commit 6b87e2f90c5d1deb2fed19f5ed0d8b23432bcb1d)

 configure.ac | 1 +
 1 file changed, 1 insertion(+)

commit 65f55a4f2d0072199900b96bd03c76a581f7d419
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Fri Oct 25 10:48:46 2019 +0000

    Update NEWS

 NEWS | 32 +++++++++++++++++++-------------
 1 file changed, 19 insertions(+), 13 deletions(-)

commit 72541154c7c74e36beb9709a1fff4241286cbd25
Author: Alan Mortensen <alanmortensen.am@gmail.com>
Date:   Thu Oct 24 23:53:21 2019 +0200

    Updated Danish translation of gimp-script-fu

 po-script-fu/da.po | 149
 ++++++++++++++++++++++++++++-------------------------
 1 file changed, 79 insertions(+), 70 deletions(-)

commit 17bed99e0569035217573337423a50c9055b5b3d
Author: Alan Mortensen <alanmortensen.am@gmail.com>
Date:   Thu Oct 24 23:53:13 2019 +0200

    Updated Danish translation of gimp-python

 po-python/da.po | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit 0e463419fb24251e392b4e65b3fa273da8638c52
Author: Alan Mortensen <alanmortensen.am@gmail.com>
Date:   Thu Oct 24 23:53:05 2019 +0200

    Updated Danish translation of gimp-libgimp

 po-libgimp/da.po | 331
 ++++++++++++++++++++++++++++---------------------------
 1 file changed, 169 insertions(+), 162 deletions(-)

commit d2c082900714e975e1bb21504ac7a5d747d53928
Author: Alan Mortensen <alanmortensen.am@gmail.com>
Date:   Thu Oct 24 23:33:15 2019 +0200

    Updated Danish translation

 po/da.po | 5932
 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 3209 insertions(+), 2723 deletions(-)

commit 1ce1b0eebe95f64815083c5ce93e36f59a27fa34
Author: Sabri Ünal <libreajans@gmail.com>
Date:   Thu Oct 24 15:13:35 2019 +0000

    CID 225792 Resource leak in script-fu-server.c

    Variable ai and ai_curr going out of scope at line 496.
    Variable ai going out of scope at line 545.

    Revealed by Coverity Scan.

 plug-ins/script-fu/script-fu-server.c | 2 ++
 1 file changed, 2 insertions(+)

commit a551207638d5703c34c1507b6e1c3b1b2769c280
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Oct 24 15:49:15 2019 +0200

    Update Polish translation

 po/pl.po | 267
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 136 insertions(+), 131 deletions(-)

commit 6239c3926f6ee3592fb527e4af9ee8de692f69bd
Author: Ell <ell_se@yahoo.com>
Date:   Thu Oct 24 13:59:06 2019 +0300

    app: add babl version info to $ gimp -v

    ... and any other users of gimp_version().

    (cherry picked from commit 211b7de7292fa38b2708ec8bbdeef7a20c91ede2)

 app/gimp-version.c | 23 ++++++++++++++++++++++-
 1 file changed, 22 insertions(+), 1 deletion(-)

commit 9985a00aefa999b0b495239bd7c47d334ee4137b
Author: lillolollo <4179-lillolollo@users.noreply.gitlab.gnome.org>
Date:   Wed Oct 23 17:08:36 2019 +0000

    Add a fixed bug since it is not mentioned on commit message

 NEWS | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e5b1f5247704c8053f44593cb0d85848eb9313bf
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Thu Oct 24 13:10:52 2019 +0300

    Update Russian translation

 po/ru.po | 1392
 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 719 insertions(+), 673 deletions(-)

commit ed1d5364a4bef05d1f805f324e79f399afbb41a6
Author: Ell <ell_se@yahoo.com>
Date:   Wed Oct 23 20:02:20 2019 +0300

    app, menus: add gegl:normal-map to Filters -> Generic

    (cherry picked from commit 6adf77e13a85b6b7687606e8dd9f6487c340d6e8)

 app/actions/filters-actions.c | 6 ++++++
 app/sanity.c                  | 1 +
 app/tools/gimpgegltool.c      | 1 +
 app/widgets/gimphelp-ids.h    | 1 +
 menus/image-menu.xml.in       | 1 +
 5 files changed, 10 insertions(+)

commit 3d7d46ea97c8c1614b689858d6e5540b529fa53d
Author: Sabri Ünal <libreajans@gmail.com>
Date:   Wed Oct 23 12:32:11 2019 +0000

    CID: 228176 Fix a Resource leak

    This patch fixes a resource leak which was discovered by Coverity
    Scan.

 plug-ins/file-sgi/sgi.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 412fa7822bb7ddf53e9bd0dc7462e601aa58b1da
Author: Ell <ell_se@yahoo.com>
Date:   Tue Oct 22 16:08:25 2019 +0300

    app: avoid spurious channel switch in histogram editor when switching
    drawbles

    Add an n_components parameter to gimp_histogram_clear_values(),
    which allows to set the new component count when clearing the
    histogram.  This is useful to seed the histogram with the correct
    number of channels, for display purposes, before starting an async
    histogram calculation.  We use this in GimpHistogramEditor, to
    avoid resetting the view's channel back to "Value" each time the
    active drawable changes.

    (cherry picked from commit eb6f544c1808c7a96aaf014e639a024cfe2c2b94)

 app/core/gimphistogram.c          | 27 ++++++++++-----------------
 app/core/gimphistogram.h          |  3 ++-
 app/widgets/gimphistogrameditor.c |  7 ++++++-
 3 files changed, 18 insertions(+), 19 deletions(-)

commit ed40f0763e21322a6049b1e035d34f39c06dc902
Author: Ell <ell_se@yahoo.com>
Date:   Tue Oct 22 16:08:01 2019 +0300

    app: fix gimp_hisotgram_n_components() for empty histograms

    (cherry picked from commit 8bd4ae34f5a919637b11e27162d210af62668971)

 app/core/gimphistogram.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit a2fe44ed8cfc732224b77da765f1ee1dc5d82705
Author: Ell <ell_se@yahoo.com>
Date:   Tue Oct 22 15:37:50 2019 +0300

    app: streamline GimpHistogram; avoid spurious channel switch in
    histogram view

    In GimpHistogram, get rid of the "n-channels" property and
    corresponding gimp_histogram_n_channels() function.  The former
    returned the actual number of channels, but this wasn't too useful,
    as channel values may not be sequential; the latter returned the
    number of components.  Instead, add an "n-components" property and
    a corresponding gimp_histogram_n_components() function, both of
    which return the number of components.  Furthermore, add a
    gimp_histogram_has_channel() function, which determines if the
    histogram has a given channel; this allows for simple testing for
    channel availability, which was done wrong in various places.

    Adjust the GimpHistogram code for the changes, and clean it up,
    fixing a few bugs.

    Adjust users of GimpHisotgram for the changes.  In particular,
    in GimpHisotgramView, fix the channel-availability test when
    setting the view's histogram (which happens whenever the active
    drawable's preview is frozen), to avoid erroneously swithcing the
    view's channel back to "Value" when a non-RGB channel is selected.

    (cherry picked from commit fc17f0ed0c404036d923bc15cd3971e955b52dd0)

 app/core/gimphistogram.c               | 254
 ++++++++++++++++++---------------
 app/core/gimphistogram.h               |   4 +-
 app/gimpcore.def                       |   2 +-
 app/operations/gimpoperationequalize.c |   4 +-
 app/widgets/gimphistogrameditor.c      |  33 +----
 app/widgets/gimphistogramview.c        |  12 +-
 6 files changed, 153 insertions(+), 156 deletions(-)

commit 82c0b69b795d93fbe3aac5059a841431d01c610d
Author: Jehan <jehan@girinstud.io>
Date:   Sun Oct 20 19:50:36 2019 +0200

    NEWS: keep up-to-date.

 NEWS | 2 ++
 1 file changed, 2 insertions(+)

commit e729d0b6bb22973a1e51602adb23b42ed25e1c29
Author: Jehan <jehan@girinstud.io>
Date:   Sun Oct 20 19:41:44 2019 +0200

    Issue #4119: GIMP main window not restored from Taskbar under
    MS Windows

    Tested in a VM. Minimized window is properly deiconified and showed to
    the front. Though a window in the back (not minimized) is not moved to
    the front.

    (cherry picked from commit 2f0175190795a7086e29c2055bb0c6c283a295ef)

 app/gui/gui-unique.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit aeadaaeb6ca4a91f72077eb6d6da2da366d49b57
Author: Sabri Ünal <libreajans@gmail.com>
Date:   Sun Oct 20 13:06:19 2019 +0000

    CID 225808 Arguments in wrong order

    Swapped arguments: height is passed to width. width is passed
    to height.

    Please check the function in /app/core/gimpbrush.c at line: 606

    void
    gimp_brush_transform_size (GimpBrush     *brush,
                               gdouble        scale,
                               gdouble        aspect_ratio,
                               gdouble        angle,
                               gboolean       reflect,
                               gint          *width,
                               gint          *height)

 app/paint/gimppaintoptions.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c3265528728d8a1311efb245a3cdf07d9556e271
Author: Sabri Ünal <libreajans@gmail.com>
Date:   Sun Oct 20 12:47:15 2019 +0000

    225614 Copy-paste error

    Copy-paste error: extensions in proc->extensions looks like a
    copy-paste error.
    Should it say prefixes instead?

 app/plug-in/plug-in-rc.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a7a18cc83fdeb7f3694225f533d48a055aa0084e
Author: Sabri Ünal <libreajans@gmail.com>
Date:   Sun Oct 20 10:32:57 2019 +0000

    CID 228074: Missing varargs init or cleanup in file-tiff-io.c

    missing va_end: va_end was not called for ap_test.

 plug-ins/file-tiff/file-tiff-io.c | 4 ++++
 1 file changed, 4 insertions(+)

commit c5f597d5c01fa5705fc5dbc9895c2af59ac6752a
Author: Sabri Ünal <libreajans@gmail.com>
Date:   Sat Oct 19 22:41:21 2019 +0000

    Checking wrong sizeof in gimpmetadata.c

    "Buffer 'strdata' is being written before its old content has
    been used."

 libgimpbase/gimpmetadata.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e6b0b992df6530d4d199e4bb041d81e63d9122f3
Author: Sabri Ünal <libreajans@gmail.com>
Date:   Sat Oct 19 22:11:26 2019 +0000

    CID 228155: Resource leak in file-tga.c

    Variable fp going out of scope leaks the storage it points to.

 plug-ins/common/file-tga.c | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 477c9458ab6a49af00a0c1a671c8294bf156a5da
Author: Sabri Ünal <libreajans@gmail.com>
Date:   Sat Oct 19 21:53:25 2019 +0000

    CID 227971: Resource leak

    Leaked storage: Variable infile going out of scope leaks the storage
    it points to

    Discovered by Coverity Scan.

 plug-ins/common/file-mng.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 31001d9f296dad9f89edaac2e58f0fba7eac7f3f
Author: Sabri Ünal <libreajans@gmail.com>
Date:   Sat Oct 19 21:29:18 2019 +0000

    CID 228166: Resource leak in file-raw-data.c

    Overwriting fp in fp = fopen(newfile, "wb") leaks the storage that
    fp points to.

 plug-ins/common/file-raw-data.c | 2 ++
 1 file changed, 2 insertions(+)

commit 76227d26423332fd53ee3b8fbef4728e739f50ea
Author: Rodrigo Lledó <rodhos@gmail.com>
Date:   Mon Oct 14 08:44:53 2019 +0200

    Updated Spanish Translation

 po-plug-ins/es.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6d9e3d4fd1ed8d417678416b2a140c317af78692
Author: Rodrigo Lledó <rodhos92@gmail.com>
Date:   Mon Oct 14 06:38:22 2019 +0000

    Update Spanish translation

 po-plug-ins/es.po | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 419c7eda3ca408f6712ff0cfc223241bc9c16bf1
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Sat Oct 12 20:47:44 2019 +0000

    Update NEWS for translations and translators

 NEWS | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

commit b30be4bc615e32012e594f5493fb4660613ee57d
Author: Jehan <jehan@girinstud.io>
Date:   Sat Oct 12 17:35:20 2019 +0200

    NEWS: also add info about change of defaults for pixel density.

    Such logics change is worth being listed here.

 NEWS | 7 +++++++
 1 file changed, 7 insertions(+)

commit 86ccfc90c3f361b33bcd5bfd0162d269de9be71b
Author: Jehan <jehan@girinstud.io>
Date:   Sat Oct 12 17:15:39 2019 +0200

    NEWS: update with added fixed bug reports.

 NEWS | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3a34f80d4528fedef29a28bfe92a570ef6624649
Author: Jehan <jehan@girinstud.io>
Date:   Sat Oct 12 16:38:05 2019 +0200

    Issue #4068: default pixel density should be 72.0 for loaded images.

    New images should obviously still default to the template pixel
    density
    (defaulting to 300.0 PPI when no specific template is selected).

    Loaded images though should use a more conservative default of 72 PPI,
    first because this is what other software defaults to when no
    density is
    set (so we should keep consistent when possible), and this is
    also what
    the Exif standard (I checked both last version 2.32, and older 2.3)
    recommends when no resolution is set.

    Technically we differentiate a loaded from a newly created image by
    whether or not an imported_file has been set. Of course, any
    explicitly
    set resolution will always override whatever default.

    (cherry picked from commit fef9b1d2a3456df80761f060b3e41ae967a3d913)

 app/core/gimpimage-private.h |  1 +
 app/core/gimpimage.c         | 24 ++++++++++++++++++++++--
 2 files changed, 23 insertions(+), 2 deletions(-)

commit 32235fba15d5986e2b45afc999819c928a35dd08
Author: Jehan <jehan@girinstud.io>
Date:   Sat Oct 12 13:12:11 2019 +0200

    Issue #4049: Colour fill on Line Art Detection misaligned when…

    … different layer size/location used.

    We need to use the source coordinate space when generating the first
    fill buffer, then transform to the target layer coordinate space when
    applying the drawable filter.

    (cherry picked from commit 16d9c1f00de6db0d4892b23ea511a3715bc65dbf)

 app/tools/gimpbucketfilltool.c | 23 +++++++++++++++++++----
 1 file changed, 19 insertions(+), 4 deletions(-)

commit 98e955aebfeeb57afd1095eda705324afae6c5f6
Author: Jehan <jehan@girinstud.io>
Date:   Sat Oct 12 11:59:53 2019 +0200

    libgimpwidgets: check error return for gtk_icon_theme_load_icon().

    In gimp_page_selector_add_frame(), if "gimp-frame" icon cannot
    be loaded
    (which should not happen, but reality can always strike back!),
    we want
    to abort from gimp_page_selector_add_frame() immediately.

    Also as a consequence, its return value might be NULL, hence should be
    freed with g_clear_object() instead.

    This happened here because of broken meson rules (which didn't install
    this icon) and ended up in forever looping errors when loading a
    multi-page PDF (pages are shown in frames in a dialog):

    > (file-pdf-load:12348): GdkPixbuf-CRITICAL **: 11:59:28.513:
    gdk_pixbuf_copy_area: assertion 'src_pixbuf != NULL' failed

    (cherry picked from commit 9dcdf37ab3f8dc32031206d1c6a224b7a67a5b5f)

 libgimpwidgets/gimppageselector.c | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit 03491efa81f9769763f25e2b1b858bc055d140f0
Author: Jehan <jehan@girinstud.io>
Date:   Thu Oct 10 14:13:49 2019 +0200

    libgimp: fix a type cast warning (win32).

    I had this warning when cross-building for Windows 64-bit:

    > libgimp/gimpui.c:187:52: warning: passing argument 2 of
    > 'gdk_win32_window_foreign_new_for_display' makes pointer from
    integer
    > without a cast [-Wint-conversion]

    > note: expected 'HWND' {aka 'struct HWND__ *'} but argument is of
    type 'guint32' {aka 'unsigned int'}

    (cherry picked from commit cf6dae6f83da514d3ddd85aaf342f95579817b2c)

 libgimp/gimpui.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dfda00d5f7d423d44c62d2eb2c603df02613607c
Author: Jehan <jehan@girinstud.io>
Date:   Wed Oct 9 14:43:11 2019 +0200

    app: fix "Result is not floating-point (UNINTENDED_INTEGER_DIVISION)".

    See #3996.
    This was a warning raised by the Coverity scan on one of the lines. I
    fix also in the same time other arithmetics mixing int and double.
    Better be thorough.
    The specific warning was on:
    > circ = 2.0 * G_PI * (private->width / 2)
    where the division was integer, which was probably not intended. Of
    course that error (display item only) was likely barely visible
    anyway,
    still…

    (cherry picked from commit c809e221ec65285a4142d5946e1e5147782ee812)

 app/display/gimpcanvashandle.c | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit 7d649189d6908dd62ac172bcf9b57d3b45361563
Author: Jehan <jehan@girinstud.io>
Date:   Wed Oct 2 01:08:17 2019 +0200

    devel-docs: update a reference to 32-bit pointers.

    Though the description of the POINTER type clearly tells of the
    new type
    size, it was still refered as 32-bit only in this introductory text.
    Let's fix this.

    (cherry picked from commit 35f55ef07a39e3358e9cb3a1a8922f5b09689e2d)

 devel-docs/xcf.txt | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit 2d925a79867d7a1b0ab5e9a308fc22d6dd06a789
Author: Asier Sarasua Garmendia <asier.sarasua@gmail.com>
Date:   Sat Oct 12 07:55:41 2019 +0000

    Update Basque translation

 po-windows-installer/eu.po | 208
 ++++++++++++++++++---------------------------
 1 file changed, 84 insertions(+), 124 deletions(-)

commit c3378eb8f957f69663bcabf0e1529832537f14ff
Author: Asier Sarasua Garmendia <asier.sarasua@gmail.com>
Date:   Sat Oct 12 07:48:05 2019 +0000

    Update Basque translation

 po/eu.po | 52 ++++++++++++++++++++++++++--------------------------
 1 file changed, 26 insertions(+), 26 deletions(-)

commit e3a7ace38467a897dc2917e0f58caa26c0f67f09
Author: Asier Sarasua Garmendia <asier.sarasua@gmail.com>
Date:   Sat Oct 12 07:34:57 2019 +0000

    Update Basque translation

 po-script-fu/eu.po | 495
 ++++++++++++++++++++++++++---------------------------
 1 file changed, 242 insertions(+), 253 deletions(-)

commit f29b5b1986869b0f1aed12ab09e062b9b4a11829
Author: Asier Sarasua Garmendia <asier.sarasua@gmail.com>
Date:   Sat Oct 12 06:59:30 2019 +0000

    Update Basque translation

 po-libgimp/eu.po | 1012
 ++++++++++++++++++++++++------------------------------
 1 file changed, 448 insertions(+), 564 deletions(-)

commit 9892273c7c1d3981db0d32947e3b6a17fcd643cf
Author: Asier Sarasua Garmendia <asier.sarasua@gmail.com>
Date:   Fri Oct 11 19:42:35 2019 +0000

    Update Basque translation

 po-plug-ins/eu.po | 2908
 +++++++++++++++++++++++++++--------------------------
 1 file changed, 1491 insertions(+), 1417 deletions(-)

commit d6c5e30b65a5f70b0df9242f771056edd6e230ee
Author: Asier Sarasua Garmendia <asier.sarasua@gmail.com>
Date:   Fri Oct 11 19:06:20 2019 +0000

    Update Basque translation

 po-python/eu.po | 316
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 305 insertions(+), 11 deletions(-)

commit 364fdecec84fc73c4b58e3158e66e8739d455a98
Author: Tim Sabsch <tim@sabsch.com>
Date:   Fri Oct 11 18:20:13 2019 +0000

    Update German translation

 po/de.po | 3079
 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 1744 insertions(+), 1335 deletions(-)

commit 76414ed3a5b6e2e7f244161100334d9e37d8efaa
Author: Andika Triwidada <atriwidada@gnome.org>
Date:   Fri Oct 11 07:55:26 2019 +0000

    Update Indonesian translation

 po-libgimp/id.po | 3442
 ++++++++++++++++++++++++++++++++++++++++++++----------
 1 file changed, 2820 insertions(+), 622 deletions(-)

commit c4ce471fc9dea82d452d9429115e66660c14e84c
Author: Asier Sarasua Garmendia <asier.sarasua@gmail.com>
Date:   Fri Oct 11 07:04:04 2019 +0000

    Update Basque translation

 po/eu.po | 5919
 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 3190 insertions(+), 2729 deletions(-)

commit fc55ee23c66357b2e96cc9022e1bd7dde178761d
Author: Sabri Ünal <libreajans@gmail.com>
Date:   Thu Oct 10 15:03:22 2019 +0000

    Update Turkish translation

 po-plug-ins/tr.po | 25 ++++++++++++-------------
 1 file changed, 12 insertions(+), 13 deletions(-)

commit 663fa8e7a528fc4fbc52ebed7dba3511b0510cc7
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:   Thu Oct 10 13:05:59 2019 +0000

    Update Icelandic translation

 po-python/is.po | 35 +++++++++++++++++------------------
 1 file changed, 17 insertions(+), 18 deletions(-)

commit b6c5a02008adbd0b977502082a4cea69364c76ae
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:   Thu Oct 10 12:52:56 2019 +0000

    Update Icelandic translation

 po/is.po | 6451
 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 3436 insertions(+), 3015 deletions(-)

commit 13ae54c876c1d329e3157cd08c52ffc9aa4bacba
Author: Rodrigo Lledó <rodhos92@gmail.com>
Date:   Mon Oct 7 07:11:51 2019 +0000

    Update Spanish translation

 po-plug-ins/es.po | 94
 ++++++-------------------------------------------------
 1 file changed, 10 insertions(+), 84 deletions(-)

commit c7bfcbae96575c17a5cd511eaedb5513ce34fe55
Author: Rodrigo Lledó <rodhos92@gmail.com>
Date:   Mon Oct 7 07:08:39 2019 +0000

    Update Spanish translation

 po-python/es.po | 32 +++++++++++++++++---------------
 1 file changed, 17 insertions(+), 15 deletions(-)

commit 627014c17cccda2e68fb2afbb88141b0287e3b14
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Oct 6 12:54:06 2019 +0200

    Update Polish translation

 po-plug-ins/pl.po | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit fe91d9903438adf8921ce095e760cdfd8053fb4f
Author: Rūdolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Sat Oct 5 20:07:36 2019 +0000

    Update Latvian translation

 po-script-fu/lv.po | 169
 +++++++++++++++++++++++++++++------------------------
 1 file changed, 93 insertions(+), 76 deletions(-)

commit e6ce73d5e14fd0d5d39fe9d700f082e99f37c436
Author: Rūdolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Sat Oct 5 20:04:53 2019 +0000

    Update Latvian translation

 po-libgimp/lv.po | 313
 ++++++++++++++++++++++++++++---------------------------
 1 file changed, 161 insertions(+), 152 deletions(-)

commit 0e952a58d5312834f97260ec27a55432bb3bdf17
Author: Rūdolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Sat Oct 5 19:59:29 2019 +0000

    Update Latvian translation

 po-plug-ins/lv.po | 2951
 +++++++++++++++++++++++++++--------------------------
 1 file changed, 1530 insertions(+), 1421 deletions(-)

commit 317d692d328f17f1fb0f9a844ff036f976f5b8de
Author: Rūdolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Sat Oct 5 19:34:42 2019 +0000

    Update Latvian translation

 po-python/lv.po | 92
 ++++++++++++++++++++++++++++-----------------------------
 1 file changed, 46 insertions(+), 46 deletions(-)

commit 907943e1c25385ab2d63bc8c0d124a4d72574879
Author: Rūdolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Sat Oct 5 19:29:22 2019 +0000

    Update Latvian translation

 po/lv.po | 6102
 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 3298 insertions(+), 2804 deletions(-)

commit 2973f74c2da04acf5cfc27ac5cc81167ff748be9
Author: Michael Natterer <mitch@gimp.org>
Date:   Sat Oct 5 12:26:45 2019 +0200

    Issue #4008 - Ellipsis missing in File -> Page Setup

    Add the missig ellipsis.

 plug-ins/print/print.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4c55475af9bf00a17598dd9dd970e13cacb6752c
Author: Ell <ell_se@yahoo.com>
Date:   Sat Oct 5 09:37:00 2019 +0300

    app: restore behavior of gimp_gegl_apply_operation() with NULL
    src_buffer

    Restore the behavior of gimp_gegl_apply_operation() prior to
    11629fde660a97c695c04801f8997caedfdcc389 when src_buffer is NULL:
    keep the existing operation-node input, instead of using an empty
    input.  Unlike gimp_gegl_apply_cached_operation(),
    gimp_gegl_apply_operation() doesn't have an explicit
    connect_src_buffer parameter.

    This fixes empty output when merging layers.

    (cherry picked from commit 076d9b2a283eb52b7f2fa10c4e92f12467ba1782)

 app/gegl/gimp-gegl-apply-operation.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b89ad56a3594d8caaa6056606304757369f9e804
Author: Ell <ell_se@yahoo.com>
Date:   Thu Oct 3 22:13:08 2019 +0300

    app: don't extend layers with no alpha channel when applying filters

    In GimpFilterTool, don't provide a clipping option for layers with
    no alpha channel, and always clip the result to the layer bounds,
    since the extended regions of the result usually require alpha to
    be meaningful.

    Similarly to last commit, the ideal solution would be to
    automatically add an alpha channel as necessary.

    (cherry picked from commit 4b58e178a5a4206cd84ae6402a967862897f14bb)

 app/tools/gimpfiltertool.c | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

commit ada1a3cf6971d33077e756eb628ee9ea18c5b02d
Author: Ell <ell_se@yahoo.com>
Date:   Thu Oct 3 22:09:43 2019 +0300

    app: clip floating selection to layers with no alpha channel

    Alawys clip a floating selection to its base layer, if the layer
    has no alpha channel.  This avoids arbitrarily filling the extended
    regions of the layer with, or compositing the floating selection
    against, black color.

    This is a temporary solution.  Ideally, we'd automatically add an
    alpha channel to the layer as necessary.

    (cherry picked from commit 7a8c79e7e75812d683430be163950b68a3d3498a)

 app/core/gimpdrawable-floating-selection.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 3bb181cb0300825e5b6063549510169877a4536b
Author: Ell <ell_se@yahoo.com>
Date:   Thu Oct 3 21:30:29 2019 +0300

    app: update drawable bounding box when detaching floating selection

    (cherry picked from commit 783b475b7b20769154955b8577d7dfd0c781aa58)

 app/core/gimpdrawable-floating-selection.c | 2 ++
 1 file changed, 2 insertions(+)

commit 97c549198e19010c3107594aaf4a5274311f0ff0
Author: Ell <ell_se@yahoo.com>
Date:   Thu Oct 3 19:58:53 2019 +0300

    app: avoid dropping cached data when committing filters

    In gimp_gegl_apply_cached_operation(), add a boolean
    connect_src_buffer parameter, which determines whether to connect
    the source buffer to the operation-node's input, or to use its
    existing input.  In gimp_drawable_merge_filter(), pass FALSE for
    connect_src_buffer, so that the existing filter-node input is used.
    This produces an equivalent result, however, it avoids invalidating
    the filter node, and dropping cached data as a result.  In
    operations that cache larger areas than the ROI, this avoids
    reprocessing already-cached data when processing the rest of the
    operation.

    Additionally, in gimp_gegl_apply_cached_operation(), use an empty
    input for the operation if src_buffer is NULL and
    connect_src_buffer is TRUE; previously, we'd use the operation-
    node's existing input when src_buffer was NULL.  Furthermore, crop
    the operation-node's input to the destination rect when crop_input
    is TRUE, even if connect_src_buffer is FALSE.

    (cherry picked from commit 11629fde660a97c695c04801f8997caedfdcc389)

 app/core/gimpdrawable-filters.c      |  2 +-
 app/gegl/gimp-gegl-apply-operation.c | 21 ++++++++++++++-------
 app/gegl/gimp-gegl-apply-operation.h |  1 +
 3 files changed, 16 insertions(+), 8 deletions(-)

commit eb0cf2d3f5038d914d2d81d953a7e44d74010e8b
Author: Ell <ell_se@yahoo.com>
Date:   Wed Oct 2 21:31:42 2019 +0300

    app: update drawable bounding box when floating-selection bounding
    box changes

    When the bounding box of a floating selection changes, update the
    bounding box of the associated drawable, since floating selections
    are no longer clipped to the drawable's bounds in general.

    (cherry picked from commit ec6bbd19377f57076e0ea8f028e556a3fdb0ba4e)

 app/core/gimpdrawable-floating-selection.c | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit 862821b98fc61eaecf4b906a38ee6cfcfb9f94f0
Author: Ell <ell_se@yahoo.com>
Date:   Wed Oct 2 18:33:27 2019 +0300

    app: fix CRITICAL when translating selected content

    Fix a CRITICAL when creating a floating selection by Alt-dragging a
    selection using one of the selection tools.

    (cherry picked from commit 1e9bf288ba958713ba051886428c77ce8d903357)

 app/tools/gimpeditselectiontool.c | 2 ++
 1 file changed, 2 insertions(+)

commit 72eeee39db87f69e01bdde7e82c8e20c55d651d5
Author: Ell <ell_se@yahoo.com>
Date:   Wed Oct 2 18:09:41 2019 +0300
